<?xml version="1.0" encoding="UTF-8" ?>

<!-- 
READ ME! READ ME! READ ME! READ ME! READ ME!

This file needs to be kept in sync with nm-manager.xml with the exception of
the legacy methods at the end of nm-manager.xml.

This file is only used to ensure that a few legacy 0.6 D-DBus methods that
NM supports don't leak into libnm-glib, but are only exposed by the NMManager
object.  dbus-glib generates the same bound function names for D-Bus the methods
"sleep" and "Sleep", unfortunately.
-->

<node name="/">
  <interface name="org.freedesktop.NetworkManager">
    <method name="GetDevices">
      <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="impl_manager_get_devices"/>
      <arg name="devices" type="ao" direction="out"/>
    </method>

    <method name="ActivateConnection">
      <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="impl_manager_activate_connection"/>
      <annotation name="org.freedesktop.DBus.GLib.Async" value=""/>
      <arg name="service_name" type="s" direction="in"/>
      <arg name="connection" type="o" direction="in"/>
      <arg name="device" type="o" direction="in"/>
      <arg name="specific_object" type="o" direction="in"/>
      <arg name="active_connection" type="o" direction="out"/>
    </method>

    <method name="DeactivateConnection">
      <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="impl_manager_deactivate_connection"/>
      <arg name="active_connection" type="o" direction="in"/>
    </method>

    <method name="Sleep">
      <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="impl_manager_sleep"/>
      <arg name="sleep" type="b" direction="in"/>
    </method>

    <property name="WirelessEnabled" type="b" access="readwrite"/>
    <property name="WirelessHardwareEnabled" type="b" access="read"/>
    <property name="ActiveConnections" type="ao" access="read"/>
    <property name="State" type="u" access="read"/>

    <signal name="StateChanged">
      <arg name="state" type="u"/>
    </signal>

    <signal name="PropertiesChanged">
      <arg name="properties" type="a{sv}">
        <annotation name="com.trolltech.QtDBus.QtTypeName.In0" value="QVariantMap"/>
      </arg>
    </signal>

    <signal name="DeviceAdded">
      <arg name="state" type="o"/>
    </signal>

    <signal name="DeviceRemoved">
      <arg name="state" type="o"/>
    </signal>
  </interface>
</node>
